Project

General

Profile

Bug #2773

Version problem in several KDE packages

laust - about 2 months ago - . Updated about 2 months ago.

Status:
fixed
Priority:
bug
Assignee:
% Done:

0%


Description

Okular, dolphin, and possibly others cannot start:

okular: symbol lookup error: /usr/lib/libKF5Parts.so.5: undefined symbol: _ZN3KIO18CommandLauncherJob13setExecutableERK7QString


Related issues

Related to Packages - Bug #2774: KDE apps don't function after updatingfixed

Actions

History

#1

Updated by laust about 2 months ago

  • Related to Bug #2774: KDE apps don't function after updating added
#2

Updated by laust about 2 months ago

  • Status changed from unconfirmed to confirmed
  • Subject changed from Error in kparts to Version problem in several KDE packages

Several KDE applications can't start due to new versions of some packages. There are at least:

  • okular: broken by kparts-5.70.0-1
    okular: symbol lookup error: /usr/lib/libKF5Parts.so.5: undefined symbol: _ZN3KIO18CommandLauncherJob13setExecutableERK7QString
    
  • dolphin: broken by kparts-5.70.0-1
    dolphin: symbol lookup error: /usr/lib/libKF5Parts.so.5: undefined symbol: _ZN3KIO18CommandLauncherJob13setExecutableERK7QString
    
  • kate: broken by kparts-5.70.0-1
    kate: symbol lookup error: /usr/lib/libKF5Parts.so.5: undefined symbol: _ZN3KIO18CommandLauncherJob13setExecutableERK7QString
    
  • konsole: broken by knewstuff-5.70.0-1
    konsole: symbol lookup error: /usr/lib/libKF5NewStuff.so.5: undefined symbol: _ZN3KIO22ApplicationLauncherJob7setUrlsERK5QListI4QUrlE
    
  • spectacle: broken by knewstuff-5.70.0-1
    spectacle: symbol lookup error: /usr/lib/libKF5NewStuff.so.5: undefined symbol: _ZN3KIO22ApplicationLauncherJob7setUrlsERK5QListI4QUrlE
    

Okular, kate, dolphin, konsole are fixed by downgrading to kparts-5.69.0-1 and knewstuff-5.69.0-1. But spectacle still fails:

spectacle: symbol lookup error: spectacle: undefined symbol: _ZN3KIO11statDetailsERK4QUrlNS_7StatJob8StatSideE6QFlagsINS_10StatDetailEES5_INS_7JobFlagEE

That string is present in the spectacle binary:
~/strings /usr/bin/spectacle |grep _ZN3KIO11statDetailsERK4QUrlNS_7StatJob8StatSideE6QFlagsINS_10StatDetailEES5_INS_7JobFlagEE
_ZN3KIO11statDetailsERK4QUrlNS_7StatJob8StatSideE6QFlagsINS_10StatDetailEES5_INS_7JobFlagEE

#3

Updated by laust about 2 months ago

  • Assignee set to laust
#4

Updated by laust about 2 months ago

  • Status changed from confirmed to fixed

Problem solved since kio >= 5.69.0 was built and released by oaken-source.

#5

Updated by bill-auger about 2 months ago

  • Assignee changed from laust to oaken-source

Also available in: Atom PDF